Class TypeHandler

Declaration :

- C++ : template<class TY> class TypeHandler
- Java : public interface TypeHandler<TY>

Directly inherited by : TypeHandler<Pipe>

Operation find

Declaration :

- Uml : abstract, + find(in capabilities : Pred) : TY
- C++ : public: virtual TY find () = 0

Operation make

Declaration :

- Uml : abstract, + make(in capabilities : Pred) : TY
- C++ : public: virtual TY make () = 0

All public operations : find , make